body{
    height: 100vh;
    background: linear-gradient(to right, rgb(248, 250, 126), rgb(225, 138, 247));
    display: flex;
    align-items: center;
    justify-content: center;

}
.block-container{
    border: 4px solid black;
    border-radius: 0.5rem;

    padding: 40px 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    background: linear-gradient(to right, rgba(126, 250, 250, 0.377), rgba(92, 134, 247, 0.336));
    border: 2px outset rgb(51, 49, 49);
    box-shadow: 2px 2px 10px;
}
.title{
    font-size: 5rem;
}
.sum{
    font-size: 3rem;
    line-height: 1.5em;
}
.answer-input{
    font-size: 2rem;
    line-height: 1.8em;
    width: 3em;
    padding: 0 0.2em;
    text-align: center;
    border-radius: 1rem;
    border: 2px outset rgb(51, 49, 49);
    box-shadow: 2px 2px 10px;
}
.btn{
    font-size: 1.2rem;
    line-height: 1.5em;
    padding: 0 10px;
    border-radius: 0.5rem;
    border: 2px outset rgb(51, 49, 49);
    box-shadow: 2px 2px 10px;
    background-color: rgb(207, 203, 211);
    margin-top: 30px;
    cursor: pointer;

}

.result-container{
    position: relative;
    background-color: aquamarine;
    z-index: 1;
}

   

.correct{
    border: 2px solid black;
    font-size: 2rem;
    position: absolute;
    line-height: 1.5em;
    width: 200px;
    background-color: rgb(6, 182, 129);
    top: -3rem;
    left: -6rem;
    text-align: center;
    border-radius: 1rem;
    border: 2px outset rgb(51, 49, 49);
    box-shadow: 2px 2px 10px;
        display: none;

}

.show{
    
    border: 2px solid black;
    font-size: 2rem;
    position: absolute;
    line-height: 1.5em;
    width: 200px;
    background-color: rgb(6, 182, 129);
    top: -3rem;
    left: -6rem;
    text-align: center;
    border-radius: 1rem;
    border: 2px outset rgb(51, 49, 49);
    box-shadow: 2px 2px 10px;
  display: block;

}
.offbackground {
    width: 100%;
    height: 100%;
    background-color: #00000000;
   position: absolute;
  }

.block-container{
    position: relative;
}


#dar{
   position: absolute;
   bottom: 2rem;
   right: 2rem;
   background-color: rgb(54, 3, 104);
   border: 2px outset rgb(51, 49, 49);
   box-shadow: 2px 2px 10px;
   font-size: 1.5rem;
   line-height: 2em;
   cursor: pointer;
   border-radius: 0.5em;
   padding: 0 10px;
  }
  #dar:hover{
    background-color: rgba(54, 3, 104, 0.581);
  }
  .show {
  
    animation: jumpAnimation 0.5s ease-in-out infinite alternate;
}

@keyframes jumpAnimation {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(-20px); /* Adjust the jump height as needed */
    }
}


  
  .incorrect {
    background-color: #df4f4f; /* Red color for incorrect answer, you can change it */
  }


.fa-refresh{
    color: aliceblue;
}